﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using fichier1.Controllers;

namespace fichier1.Views
{
    public partial class CorrectionMot : UserControl
    {
        private IGameController ctrl;
        private int wordNb;

        public CorrectionMot(IGameController ctrl, int nb)
        {
            InitializeComponent();
            this.ctrl = ctrl;
            this.wordNb = nb;

            string[] mot = ctrl.getMot(wordNb);
            string[] correction = ctrl.getCorrection(wordNb);

            bool identitcal = true;

            for (int i = 0; i < mot.Length; i++)
            {
                if (identitcal) identitcal = (i < correction.Length && mot[i] == correction[i]);
                Label lbl = new Label();
                lbl.Text = mot[i];
                pnlMot.Controls.Add(lbl);
            }
            for (int i = 0; i < correction.Length; i++)
            {
                if (identitcal) identitcal = (i < mot.Length && mot[i] == correction[i]);
                Label lbl = new Label();
                lbl.Text = correction[i];
                pnlCorrection.Controls.Add(lbl);
            }

            if (identitcal)
            {
                pnlMot.BackColor = Color.Green;
            }
            else
            {
                pnlMot.BackColor = Color.Red;
            }
        }

    }
}
